package cz.cuni.amis.pogamut.base.communication.messages;

import cz.cuni.amis.utils.listener.Event;

/**
 * Command is a wrapper for string which contains command content and command type (e. g. RUN)
 * <BR><BR>
 * It contains a single method toMessage() that should serialize the CommandObject to the String.
 * 
 * @author Ondra
 */
public abstract class CommandMessage implements Event {
	
	public abstract String toMessage();
	
	public String toString() {
		return toMessage();
	}
	
}
